EDIT - bug #10071

TaxonNodeDtos should be created directly not from taxon objects
06/02/2022 08:50 AM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

The webservice getting the taxonnodeDtos for a taxon, first gets the taxon object and then creates the Dtos for the taxonnodes. This
should be changed and the Dtos should be created directly.

Associated revisions

Revision 23b979d9 - 06/02/2022 08:51 AM - Katja Luther

ref #10071: create taxonnodeDTOs directly from taxon uuid

Revision d9740b37 - 06/02/2022 09:34 AM - Katja Luther

ref #10071: create taxonnodeDTOs also for a subtree

Revision 29ce7c87 - 06/03/2022 02:35 PM - Katja Luther

ref #10071: create taxonnodeDTOs, add classification uuid

Revision 17e31533 - 06/08/2022 09:45 AM - Katja Luther

ref #10071: add node status to dto and implemented some tests

Revision db707134 - 06/10/2022 11:45 AM - Katja Luther

ref #10071: additional constructor and test added

Revision a69f97f1 - 06/10/2022 01:30 PM - Katja Luther
ref #10071: add statusNote to dto

Revision c0497e2d - 06/13/2022 10:26 AM - Katja Luther
ref #10071: add statusNote to dto again

History

#1 - 06/02/2022 09:41 AM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 50

This is done for the search of the taxonnodes for a specific taxon and also for the search in a subtree.

#2 - 06/08/2022 10:57 AM - Katja Luther
- % Done changed from 50 to 60

There were some follow up fixes, because the taxonnode dto created with SortableTaxonNodeQueryResult was not complete. Now all elements used
in portal are available in the dto.

#3 - 07/29/2022 02:57 PM - Andreas Miiller
- Status changed from In Progress to Feedback

- Priority changed from New to Priority14

Is this fixed?
#4 - 08/23/2022 12:41 PM - Katja Luther
- Status changed from Feedback to Closed

Andreas Muller wrote in #note-3:

Is this fixed?

Yes status note is shown in portal and dto creation is optimised.

#5 - 08/23/2022 03:08 PM - Andreas Miiller
- % Done changed from 60 to 100
